import Vue from 'vue'
import Vuex from 'vuex'
import createPersistedState from 'vuex-persistedstate'

import getters from './getters'
import user from './modules/user'
import analysis from './modules/analysis'
import report from "./modules/report";
import question from "./modules/question";
import target from './modules/target';//靶向提升模块
Vue.use(Vuex)
const store = new Vuex.Store({
  modules: {
    user,
    analysis,
    report,
    question,
    target
  },
  getters,
  plugins: [createPersistedState()]
})

export default store
